Subject: OSPF checksum error between two differents contructors routers

From: Arnaud Lemaire <[email-masked]>
Date: Fri, 31 May 2002 06:45:25 -0400

Hi,

i have got a problem with a multi-constructor network :

Here is my question : Two equipments are connected in OSPF, one send LSA
update with a 0xFFFF checksum the second router drop the packet and
said "checksum eror, should be zero".

RFC 2328 says : "a checksum should never be zero".

RFC 905 about Fletcher Checksum says :" one's  complement  arithmetic  in
which  if  any  of  the variables  has the value minus zero (i.e. 255 "or
OxFFFF) it shall be regarded as though it was plus zero (i.e. 0).

Can we conclude wich equipement is wrong : the one which sent the FFFF
checksum or the one which said should be zero ?

What i understand is that sending an FFFF checksum is like sending a 0
cehcksum and it is an wrong value.

Thanx for helping,